Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
transient_alloc_header Struct Reference

## Data Fields
uint16_t | magic
uint16_t | size
int16_t | next_marked_index
int16_t | dummy
VALUE | obj

## Detailed Description

Definition at line 99 of file transient_heap.c.

## Field Documentation

## ◆ dummy

int16_t transient_alloc_header::dummy

Definition at line 103 of file transient_heap.c.

## ◆ magic

uint16_t transient_alloc_header::magic

Definition at line 100 of file transient_heap.c.

## ◆ next_marked_index

int16_t transient_alloc_header::next_marked_index

Definition at line 102 of file transient_heap.c.

## ◆ obj

VALUE transient_alloc_header::obj

Definition at line 104 of file transient_heap.c.

## ◆ size

uint16_t transient_alloc_header::size

Definition at line 101 of file transient_heap.c.

The documentation for this struct was generated from the following file:

- transient_heap.c